> For the complete documentation index, see [llms.txt](https://docs.skyone.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyone.cloud/english/api-skyone-autosky/applications-api.md).

# Applications API

API calls for operating Application objects (Applications Available to Users).

```
Base path: /apps/
```

You can use this API in scenarios where control over the applications available to users is managed per client. If you control applications through permissions within template instances, this API does not need to be used.

{% hint style="info" %}
**Note:** When registered, an application is by default set to INACTIVE. Use the activation call to enable the application after registration.
{% endhint %}

***

## List Applications

Retrieves applications registered on the Autosky platform and linked to clients.

```http
GET /apps/
```

### Query Parameters (optional)

| Parameter  | Type   | Description               |
| ---------- | ------ | ------------------------- |
| `cli_uuid` | string | Client UUID for filtering |

### Response

**Status:** `200 OK`

```json
[
    {
        "app_uuid": "90476973-4729-4f2b-acee-3621cebd70e8",
        "nome": "Notepad",
        "estado": "INATIVO",
        "endereco_app": "",
        "parametro_app": "",
        "nome_exibicao": ""
    },
    {
        "app_uuid": "84104ec2-6914-4ed7-a359-04ff14316e74",
        "nome": "Calculadora",
        "estado": "ATIVO",
        "endereco_app": "",
        "parametro_app": "",
        "nome_exibicao": ""
    }
]
```

***

## Get Application Data

Retrieves data for an application specified by its UUID.\[cite: 2] In addition to the list fields, it also includes the `client` field.

```http
GET /apps/{app_uuid}
```

### Path Parameters

| Parameter  | Required | Description      |
| ---------- | -------- | ---------------- |
| `app_uuid` | Yes      | Application UUID |

### Response

**Status:** `200 OK`

```json
{
    "app_uuid": "84104ec2-6914-4ed7-a359-04ff14316e74",
    "nome": "Calculadora",
    "estado": "ATIVO",
    "endereco_app": "",
    "parametro_app": "",
    "cliente": {
        "cli_uuid": "79ea8324-4889-4729-8bf0-bc1c40b38273",
        "nome": "MeuCliente001",
        "grupo_seguranca": "Cliente001",
        "email_admin": "email-adm@dominio.com",
        "has_license_limit": false,
        "license_limit": 0,
        "amb_uuid": "715088c9-9f21-424e-bcd5-5eacc0ce165b"
    },
    "nome_exibicao": ""
}
```

***

## Register Application

Registers a new application on the platform.

```http
POST /apps/
```

### Request Body

| Field           | Type   | Required | Description                                                  |
| --------------- | ------ | -------- | ------------------------------------------------------------ |
| `nome`          | string | Yes      | Application name                                             |
| `cli_uuid`      | string | Yes      | Client UUID                                                  |
| `estado`        | string | Yes      | Application state: `ATIVO` or `INATIVO`\[                    |
| `endereco_app`  | string | No       | Application path (e.g. `C:\\Program Files\\MeuDir\\App.exe`) |
| `parametro_app` | string | No       | Application startup parameter                                |

### Sample Request

```json
{
    "nome": "Teste API",
    "cli_uuid": "54368a47-8040-4cc7-b20b-8b9cc2e86124",
    "estado": "ATIVO"
}
```

### Response

**Status:** `200 OK`

```json
{
    "nome": "teste",
    "estado": "ATIVO",
    "endereco_app": "C:\\\\Program Files\\MeuDir\\App.exe",
    "parametro_app": "CLI:1220",
    "cliente": {
        "cli_uuid": "123-123-123-123",
        "name": "Client name",
        "group_name": "Client group-name",
        "email_admin": "admin@email.com",
        "has_license_limit": false,
        "license_limit": 0,
        "in_maintenance": false,
        "maintenance_msg": ""
    },
    "nome_exibicao": ""
}
```

***

## Edit Application

Edits an application on the platform.

```http
PUT /apps/{app_uuid}
```

### Path Parameters

| Parameter  | Required | Description      |
| ---------- | -------- | ---------------- |
| `app_uuid` | Yes      | Application UUID |

### Request Body

| Field           | Type   | Required | Description                             |
| --------------- | ------ | -------- | --------------------------------------- |
| `nome`          | string | Yes      | Application name                        |
| `cli_uuid`      | string | Yes      | Client UUID                             |
| `estado`        | string | No       | Application state: `ATIVO` or `INATIVO` |
| `endereco_app`  | string | Yes      | Application path                        |
| `parametro_app` | string | No       | Startup parameter                       |

### Sample Request

```json
{
    "nome": "teste",
    "cli_uuid": "09228c2a-a9a6-4cab-8c57-81620f20bc2f",
    "endereco_app": "C:\\\\Program Files\\MeuDir\\App.exe"
}
```

### Response

**Status:** `200 OK`

Returns the complete updated application object along with the `cliente` object.

***

## Remove Application

Deletes an application from the platform.

```http
DELETE /apps/{app_uuid}
```

### Path Parameters

| Parameter  | Required | Description      |
| ---------- | -------- | ---------------- |
| `app_uuid` | Yes      | Application UUID |

### Response

**Status:** `200 OK`

```json
{
    "status": "success"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyone.cloud/english/api-skyone-autosky/applications-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
